/** ================================= 报表 - 库存报表 ================================**/
import { commonSearch_go } from '@/services/go/index';
import * as type from './interface';
import { QueryAreaStockReportDetailReq, QueryAreaStockReportReq } from './interface';
/**
 * 查询库存报表
 * @param queryInfo 查询信息
 * @returns 库存报表
 */
export async function QueryAreaStockReport(queryInfo: QueryAreaStockReportReq): Promise<type.QueryAreaStockReportRsp[]> {
    try {
        return commonSearch_go('/Ermcp3/QueryAreaStockReport', queryInfo);
    } catch (err) {
        throw new Error(`查询库存报表: ${err}`);
    }
}

/**
 * 查询库存明细报表
 * @param queryInfo 查询信息
 * @returns 库存明细报表
 */
export async function QueryAreaStockReportDetail(queryInfo: QueryAreaStockReportDetailReq): Promise<type.QueryAreaStockReportDetailRsp[]> {
    try {
        return commonSearch_go('/Ermcp3/QueryAreaStockReportDetail', queryInfo);
    } catch (err) {
        throw new Error(`查询库存明细报表: ${err}`);
    }
}
